/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.site-title, .site-description' ).css( {
					'clip': 'auto',
					'position': 'relative'
				} );
				$( '.site-title a, .site-description' ).css( {
					'color': to
				} );
			}
		} );
	} );

	wp.customize( 'megapress_footer_copyright_text', function( value ) {
		value.bind( function( to ) {
			$( '.site-info a' ).text( to );
		} );
	} );


	// Only show the color hue control when there's a custom primary color.
	// wp.customize( 'megapress_banner', function( setting ) {
		// wp.customize.control( 'megapress_banner_type', function( control ) {
		// 	alert(setting.get());
		// 	// var visibility = function() {
		// 	// 	if ( 'custom' === setting.get() ) {
		// 	// 		control.container.slideDown( 180 );
		// 	// 	} else {
		// 	// 		control.container.slideUp( 180 );
		// 	// 	}
		// 	// };

		// 	// visibility();
		// 	// setting.bind( visibility );
		// } );
	// } );

	//Banner Type
	// wp.customize('megapress_banner_type', function (setting) {
	// 	setting.bind( function( to ) {
	// 		alert(to);
	// 		switch ( to ) {
	// 			case 'static':
	// 			// setting.container.slideUp( 180 );
	// 			wp.customize.control( 'megapress_banner_type', function( control ) {
	// 				control.container.slideDown( 180 );
	// 			});
	// 				// wp.customize.section.container.deactivate('megapress_slideshow');
	// 				// wp.customize.section( 'megapress_slideshow' ).deactivate(); 
	// 				// wp.customize('megapress_slideshow').deactivate();
	// 				break;

	// 			case 'slideshow':

	// 			wp.customize.control( 'megapress_banner_type', function( control ) {
	// 				alert("slideshow");
	// 				control.container.slideDown( 180 );
	// 			});
	// 			// setting.container.slideUp( 180 );
	// 				// wp.customize.section.container.deactivate('megapress_static_image'); 
	// 				// wp.customize('megapress_static_image').deactivate();
	// 				break;
	// 		}
	// 	} );
	// } )

	





	// wp.customize( 'megapress_banner', function( setting ) {
			
	// 	});


} )( jQuery );
